import React from "react";
import { IFairnessPropsV1 } from "../IFairnessProps";
import { IAccuracyOption } from "./AccuracyMetrics";
import { IBinnedResponse } from "./IBinnedResponse";
import { IFairnessContext } from "./IFairnessContext";
import { MetricsCache } from "./MetricsCache";
export interface IAccuracyPickerPropsV1 {
    accuracyOptions: IAccuracyOption[];
    selectedAccuracyKey: string;
    onAccuracyChange: (newKey: string) => void;
}
export interface IParityPickerPropsV1 {
    parityOptions: IAccuracyOption[];
    selectedParityKey: string;
    onParityChange: (newKey: string) => void;
}
export interface IFeatureBinPickerPropsV1 {
    featureBins: IBinnedResponse[];
    selectedBinIndex: number;
    onBinChange: (index: number) => void;
}
export interface IWizardStateV1 {
    activeTabKey: string;
    selectedModelId?: number;
    dashboardContext: IFairnessContext;
    accuracyMetrics: IAccuracyOption[];
    parityMetrics: IAccuracyOption[];
    selectedAccuracyKey: string;
    selectedParityKey: string;
    featureBins: IBinnedResponse[];
    selectedBinIndex: number;
    metricCache: MetricsCache;
}
export declare class FairnessWizardV1 extends React.PureComponent<IFairnessPropsV1, IWizardStateV1> {
    private static iconsInitialized;
    constructor(props: IFairnessPropsV1);
    private static initializeIcons;
    private static buildModelNames;
    private static buildInitialFairnessContext;
    private static buildPrecomputedFairnessContext;
    private static getClassLength;
    private static buildPrecomputedModelMetadata;
    private static buildModelMetadata;
    private static buildIndexedNames;
    private static determinePredictionType;
    render(): React.ReactNode;
    private readonly buildAccuracyListForPrecomputedMetrics;
    private readonly setTab;
    private readonly onSelectModel;
    private readonly setAccuracyKey;
    private readonly setParityKey;
    private readonly setBinIndex;
    private readonly handleTabClick;
    private readonly binningSet;
    private generateBinVectorForBin;
    private readonly buildFeatureBins;
    private readonly saveBin;
}
