import React from "react";
import { IFairnessPropsV2 } from "../IFairnessProps";
import { IAccuracyOption } from "./AccuracyMetrics";
import { IBinnedResponse } from "./IBinnedResponse";
import { IFairnessContext } from "./IFairnessContext";
import { MetricsCache } from "./MetricsCache";
import { IParityOption } from "./ParityMetrics";
export interface IAccuracyPickerPropsV2 {
    accuracyOptions: IAccuracyOption[];
    selectedAccuracyKey: string;
    onAccuracyChange: (newKey: string) => void;
}
export interface IParityPickerPropsV2 {
    parityOptions: IParityOption[];
    selectedParityKey: string;
    onParityChange: (newKey: string) => void;
}
export interface IFeatureBinPickerPropsV2 {
    featureBins: IBinnedResponse[];
    selectedBinIndex: number;
    onBinChange: (index: number) => void;
}
export interface IWizardStateV2 {
    showIntro: boolean;
    activeTabKey: string;
    selectedModelId?: number;
    dashboardContext: IFairnessContext;
    accuracyMetrics: IAccuracyOption[];
    parityMetrics: IParityOption[];
    selectedAccuracyKey: string;
    selectedParityKey: string;
    featureBins: IBinnedResponse[];
    selectedBinIndex: number;
    metricCache: MetricsCache;
}
export declare class FairnessWizardV2 extends React.PureComponent<IFairnessPropsV2, IWizardStateV2> {
    private static iconsInitialized;
    constructor(props: IFairnessPropsV2);
    private static initializeIcons;
    private static buildModelNames;
    private static buildInitialFairnessContext;
    private static buildPrecomputedFairnessContext;
    private static getClassLength;
    private static buildPrecomputedModelMetadata;
    private static buildModelMetadata;
    private static buildIndexedNames;
    private static determinePredictionType;
    render(): React.ReactNode;
    private readonly hideIntro;
    private readonly buildAccuracyListForPrecomputedMetrics;
    private readonly buildParityListForPrecomputedMetrics;
    private readonly setTab;
    private readonly onSelectModel;
    private readonly setAccuracyKey;
    private readonly setParityKey;
    private readonly setBinIndex;
    private readonly handleTabClick;
    private readonly binningSet;
    private generateBinVectorForBin;
    private readonly buildFeatureBins;
    private readonly saveBin;
}
